Drupal provides addition?

Paul W. Frields stickster at gmail.com
Fri Nov 12 13:27:44 UTC 2010


IIRC, the suggestion that Toshio had wisely made, to resolve the core
package naming and module package naming issue, was that the drupal
package in Fedora (which is named 'drupal' and is version 6.x) include
a virtual Provides:

Provides:  drupal6 = %{version}-%{release}

Jon Ciesla, could you add this and roll it into a package update in
Fedora?  I'm sure any number of us could test it for you since it's
not even a functional change, getting it into stable quickly.

Then people who are packaging D6 modules could simply add this to
their spec files:

Requires: drupal6 >= 6.0

And the same spec files will work continuously throughout Fedora and
EPEL.  (Toshio can correct me if I got his suggestion wrong, in which
case I apologize yet again for being dense about this.)

-- 
Paul W. Frields                                http://paul.frields.org/
  gpg fingerprint: 3DA6 A0AC 6D58 FEC4 0233  5906 ACDB C937 BD11 3717
  http://redhat.com/   -  -  -  -   http://pfrields.fedorapeople.org/
          Where open source multiplies: http://opensource.com


More information about the logistics mailing list